vn.py官网
开源量化社区
Member
avatar
加入于:
帖子: 68
声望: 0

Traceback (most recent call last):
File "c:\vnstudio\lib\site-packages\urllib3\connection.py", line 170, in _new_conn
(self._dns_host, self.port), self.timeout, **extra_kw
File "c:\vnstudio\lib\site-packages\urllib3\util\connection.py", line 96, in create_connection
raise err
File "c:\vnstudio\lib\site-packages\urllib3\util\connection.py", line 86, in create_connection
sock.connect(sa)
ConnectionRefusedError: [WinError 10061] 由于目标计算机积极拒绝,无法连接。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 696, in urlopen
self._prepare_proxy(conn)
File "c:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 964, in _prepare_proxy
conn.connect()
File "c:\vnstudio\lib\site-packages\urllib3\connection.py", line 353, in connect
conn = self._new_conn()
File "c:\vnstudio\lib\site-packages\urllib3\connection.py", line 182, in _new_conn
self, "Failed to establish a new connection: %s" % e
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPSConnection object at 0x000002A63802B080>: Failed to establish a new connection: [WinError 10061] 由于目标计算机积极拒绝,无法连接。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\vnstudio\lib\site-packages\requests\adapters.py", line 449, in send
timeout=timeout
File "c:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 756, in urlopen
method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
File "c:\vnstudio\lib\site-packages\urllib3\util\retry.py", line 574, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='fapi.binance.com', port=443): Max retries exceeded with url: /fapi/v1/time (Caused by ProxyError('Cannot connect to proxy.', NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x000002A63802B080>: Failed to establish a new connection: [WinError 10061] 由于目标计算机积极拒绝,无法连接。')))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\vnstudio\lib\site-packages\vnpy\api\rest\rest_client.py", line 262, in _process_request
proxies=self.proxies,
File "c:\vnstudio\lib\site-packages\requests\sessions.py", line 542, in request
resp = self.send(prep, send_kwargs)
File "c:\vnstudio\lib\site-packages\requests\sessions.py", line 655, in send
r = adapter.send(request,
kwargs)
File "c:\vnstudio\lib\site-packages\requests\adapters.py", line 510, in send
raise ProxyError(e, request=request)
requests.exceptions.ProxyError: HTTPSConnectionPool(host='fapi.binance.com', port=443): Max retries exceeded with url: /fapi/v1/time (Caused by ProxyError('Cannot connect to proxy.', NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x000002A63802B080>: Failed to establish a new connection: [WinError 10061] 由于目标计算机积极拒绝,无法连接。')))

Member
avatar
加入于:
帖子: 68
声望: 0

用的是币安的永续合约接口,云服务器是腾讯云的WINDOWS64位2019数据中心版

Member
avatar
加入于:
帖子: 3150
声望: 184

看图上应该是网络连接问题导致的

Member
avatar
加入于:
帖子: 68
声望: 0

服务器换过阿里云和腾讯云香港和东京的都提示这个错误,并且其他交易所也都连接不上,操作系统也换了几个,也不行

Member
avatar
加入于:
帖子: 68
声望: 0

description
Traceback (most recent call last):
File "c:\vnstudio\lib\site-packages\vnpy\trader\ui\widget.py", line 589, in connect
field_value = field_type(widget.text())
ValueError: invalid literal for int() with base 10: ''

其他交易所可以了,原来不用填代理地址和端口的,不过币安又出现上面这个问题了

Member
avatar
加入于:
帖子: 1
声望: 0

我也遇到这个错误了,请问楼主解决没有

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号